dh-make-elpa (0.19.9) unstable; urgency=medium

  * Run `wrap-and-sort -ast'
  * Initial Perl-based unit tests
    - This works by creating a temporary directory with the given test
      data repo, run `dh-make-elpa', and compare the contents of the
      output `debian/' directory with the expected `debian/' directory in
      the test data.
    - When the test case name ends with `_team' (like `simple_team'), it
      will run with `dh-make-elpa --pkg-emacsen'.
    - The test runs in two modes: build-time and autopkgtest. The
      build-time mode will use `dh-make-elpa' in the source tree, while
      autopkgtest will use `dh-make-elpa' from the installed package.
      autopkgtest is the default and the build-time test is controlled by
      a switch `--build_time_test'.
  * Add Build-Depends required for running the unit tests
  * Add various test cases
  * Enable build time test in d/rules
  * Clarify that the copyright in test data does not take effect
  * Enable `Testsuite: autopkgtest-pkg-perl'
  * Drop debian/tests in favor of autopkgtest-pkg-perl
    - autopkgtest-pkg-perl will run `prove' which covers the newly added
      tests, as well as do syntax checking for all Perl files.
  * Add a utility tool for checking and applying diff
  * Add t/README.org
  * Add an option of "test-mode"
    - In this mode, all alpha numeric characters in time sensitive values
      will be replaced by "X", so that they won't break the integration
      test.
    - Run integration tests with "--test-mode".
    - Diff all lines in integration tests.
    - Update test cases accordingly.
  * Clarify license of the test module to be GPL-2+
    - Also update d/copyright accordingly.
  * Fix SPDX short identifier for GPL-2.0-or-later
  * Use UNRELEASED for distribution in all cases
    - Before this change, the distribution in the template d/changelog
      will be unstable if `--pkg-emacsen' is not used.
    - This change make UNRELEASED the default for this also.
  * Use Standards-Version 4.7.4 for template
  * Update Standards-Version to 4.7.4; no change needed
  * Bump version

 -- Xiyue Deng <manphiz@gmail.com>  Sun, 26 Apr 2026 03:40:49 -0700

dh-make-elpa (0.19.8) unstable; urgency=medium

  * Update generated standards version to 4.7.3
  * Stop generating `Priority: optional' now that it is the default
    - Also update autopkgtest
  * Update Standards-Version to 4.7.3; no change needed
  * Drop `Priority: optional'; now default
  * Add Homepage link in d/control
  * Add support for generating a template d/salsa-ci.yml
    - Also update autopkgtest for salsa-ci.yml generation
  * Bump version in help

 -- Xiyue Deng <manphiz@gmail.com>  Fri, 09 Jan 2026 04:34:20 -0800

dh-make-elpa (0.19.7) unstable; urgency=medium

  * Fix regexp to correctly detect the Github project name
  * Ignore .vscode directory in .gitignore
    - This is generated by Perl::LanguageServer

 -- Xiyue Deng <manphiz@gmail.com>  Tue, 16 Dec 2025 22:34:34 -0800

dh-make-elpa (0.19.6) unstable; urgency=medium

  * Improve Github URL handling
    - Use "<>" as regexp quotes to simplfy "/" handling in URL.
    - Drop ".git" suffix from detected project names if present.  (Closes:
      #999692)
  * Generate debian/watch using rfc822-style version 5 format
  * Add support for generating Gitlab debian/watch in version 5 format
  * Update generated standards version to 4.7.2
  * Update Standards-Version to 4.7.2; no change needed
  * Do not set `Rules-Requires-Root: no' for newly created packages
    - This is now the default since dpkg 1.22.13, and lintian starts
      warning about this being redundant:
      https://lintian.debian.org/tags/redundant-rules-requires-root-no-field.html
  * Drop `Rules-Requires-Root: no' from d/control
    - Now redundant since dpkg 1.22.13.
  * Drop test for Rules-Requires-Root now that it is removed
  * Drop d/watch; not very useful for a native package
  * Drop d/s/lintian-overrides
    - No longer applicable now that we dropped d/watch.
  * Support detecting multiple copyright holders
    - Update autopkgtest for new copyright handling

 -- Xiyue Deng <manphiz@gmail.com>  Thu, 02 Oct 2025 01:51:57 -0700

dh-make-elpa (0.19.5) unstable; urgency=medium

  [ Xiyue Deng ]
  * Use substitute strings in filenamemangle to make it more robust
  * Reformat default watch file content to be multiline with heredoc
  * Skip `.git' from github project name when generating d/watch
  * Update generated Standards-Version to 4.7.0
  * Update Standards-Version to 4.7.0; no change needed
  * Trim whitespace when detecting the short description
  * Add myself to uploaders

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 12 Sep 2024 11:16:02 +0100

dh-make-elpa (0.19.4) unstable; urgency=medium

  * Team upload.
  * Rebuild against dh-elpa 2.1.3.
    Upload pushed to dgit-repos but not salsa.
    See <https://lists.debian.org/debian-emacsen/2024/07/msg00077.html>.

 -- Sean Whitton <spwhitton@spwhitton.name>  Wed, 24 Jul 2024 21:47:00 +0900

dh-make-elpa (0.19.3) unstable; urgency=medium

  * Team upload

  [ Jeremy Sowden ]
  * Replace Perl smart-match operator (Closes: #1060707)
  * Remove suppression of smart-match warning

  [ Xiyue Deng ]
  * Create new packages with Standards-Version 4.6.2
  * Use special strings for version and extension substitution in watch
    file

 -- Lev Lamberov <dogsleg@debian.org>  Sun, 14 Jan 2024 10:32:29 +0500

dh-make-elpa (0.19.2) unstable; urgency=medium

  * Team upload

  [ Nicholas D Steeves ]
  * Create new packages with Standards-Version 4.6.1
  * Create new packages that Recommend emacs without the "(>= 46.0)"
    qualifier, because even oldoldstable (Debian 9, stretch) will install
    this minimum required version.

  [ Richard Lewis ]
  * Add missing dependency on libemail-date-format-perl
  * Fix detection of maintainer/uploader name when DEBFULLNAME is not
    set (Closes: #1019202), and improve detection of email address if DEBEMAIL
    is not set.
  * d/control: Declare Standards-Version 4.6.2 (no changes needed), refresh
    format of lintian override messages
  * Add autopkgtests

 -- Richard Lewis <richard.lewis.debian@googlemail.com>  Thu, 19 Oct 2023 20:00:00 +0100

dh-make-elpa (0.19.1) unstable; urgency=medium

  * Set up proper accessors
  * Fix missing accessors calls (Closes: #978104)
    Thanks to Axel Beckert
  * Bump copyright years
  * Bump Standards-Version in skeleton package to 4.5.1
  * d/control: Declare Standards-Version 4.5.1 (no changes needed)

 -- Lev Lamberov <dogsleg@debian.org>  Sun, 03 Jan 2021 10:20:07 +0500

dh-make-elpa (0.19) unstable; urgency=medium

  * Untie dh-make-elpa from dh-make-perl (Closes: #932324)
  * Bump version numbers in code
  * d/control: Depend on libdebian-source-perl rather than dh-make-perl
  * d/copyright: Update copyright information

 -- Lev Lamberov <dogsleg@debian.org>  Thu, 25 Jun 2020 23:22:12 +0500

dh-make-elpa (0.18) unstable; urgency=medium

  * Print proper message and generate FIXME if failed to determine
    copyright holder (Closes: #944985)
  * Create new packages with debhelper-compat (= 13)
  * Create new packages with Rules-Requires-Root: no
  * Create new packages with Standards-Version 4.5.0
  * d/control: Migrate to debhelper-compat 13
  * d/control: Add Rules-Requires-Root: no
  * d/control: Declare Standards-Version 4.5.0 (no changes needed)

 -- Lev Lamberov <dogsleg@debian.org>  Fri, 12 Jun 2020 22:10:26 +0500

dh-make-elpa (0.17) unstable; urgency=medium

  [ Lev Lamberov ]
  * Migrate to dh 12
  * Declare Standards-Version 4.4.0 (no changes needed)
  * Create new packages with Standards-Version 4.4.0
  * Create new packages with debhelper-compat (= 12) and without d/compat
    (Closes: #891987, #932391)
  * Drop adding emacs25 to Enhances field of new packages

  [ Matthew Kraai ]
  * Change default section to "editors".

 -- Lev Lamberov <dogsleg@debian.org>  Fri, 12 Jun 2020 21:53:42 +0500

dh-make-elpa (0.16) unstable; urgency=medium

  [ Sean Whitton ]
  * d/copyright: License under GPL-2, not GPL-3+. See discussion in #903289.

  [ Lev Lamberov ]
  * Implement help command (Closes: #903164)
  * Add better documentation, including extended copyright information
  * Migrate to dh 11
  * d/copyright: Update copyright information
  * d/copyright: Use secure URI in d/copyright
  * d/control: Replace Sean Whitton by myself in Uploaders (Closes: #903289)
  * d/control: Rearrange dependencies for better readability
  * d/control: Remove Built-Using field
  * d/control: Declare Standards-Version 4.2.1 (no changes needed)
  * d/watch: Update watch file to use Salsa
  * d/source/lintian-overrides: Use renamed tag name

 -- Lev Lamberov <dogsleg@debian.org>  Sun, 26 Aug 2018 18:08:27 +0500

dh-make-elpa (0.15) unstable; urgency=medium

  * Remove trailing slash from generated Vcs-Git and this package's Vcs-Git.
    Either I was wrong, or the canonical salsa URI no longer includes this.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 26 Jul 2018 12:02:01 +0800

dh-make-elpa (0.14) unstable; urgency=medium

  * Team upload
  * Bump generated std-ver to 4.1.5 (no changes required) (Closes: #904595).
  * Declare compliance with Debian Policy 4.1.5.

 -- David Bremner <bremner@debian.org>  Thu, 26 Jul 2018 11:14:45 +0800

dh-make-elpa (0.13) unstable; urgency=medium

  [ Lev Lamberov ]
  * Substitute debhelper version in Build-Depends from configuration
  * Add support for {md,markdown,mdwn,org} documentation files (Closes: #862604)

  [ Sean Whitton ]
  * Update Maintainer field
    from: Debian Emacs addons team <pkg-emacsen-addons@lists.alioth.debian.org>
    to:   Debian Emacsen team <debian-emacsen@lists.debian.org>
  * Update generated Maintainer field likewise.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sun, 20 May 2018 15:52:04 -0700

dh-make-elpa (0.12) unstable; urgency=medium

  [ Alberto Luaces Fernández ]
  * Generate Vcs-* fields pointing to salsa.

  [ Sean Whitton ]
  * Update Vcs-* fields to point to salsa.
  * Bump generated std-ver to 4.1.3 (no changes required).
  * Declare compliance with Debian Policy 4.1.3.
  * Update pattern for missing-dep-for-interpreter Lintian override.

 -- Sean Whitton <spwhitton@spwhitton.name>  Wed, 28 Feb 2018 11:01:01 -0700

dh-make-elpa (0.11) unstable; urgency=medium

  * Generate standards-version 4.1.1.
  * Bump debhelper compat & build-dep to 10.
  * Bump std-ver to 4.1.1 (no changes required).

 -- Sean Whitton <spwhitton@spwhitton.name>  Sat, 14 Oct 2017 12:12:51 -0700

dh-make-elpa (0.10) unstable; urgency=medium

  [ Nicholas D Steeves ]
  * Drop emacs24 from Enhances in generated debian/control.
  * Use 'Standards-Version: 4.1.0' in generated debian/control.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sat, 23 Sep 2017 13:18:54 -0700

dh-make-elpa (0.9) unstable; urgency=medium

  * Stop generating binary dependency on 'emacsen-common'.
    dh-elpa adds to ${misc:Depends}.
  * When the 'upstream' remote is GitHub, generate a watch file using
    the GitHub releases page, rather than using mode=git.
    This is less taxing on the QA servers checking for new upstream
    releases (see uscan(1)).

 -- Sean Whitton <spwhitton@spwhitton.name>  Fri, 21 Jul 2017 14:39:49 -0700

dh-make-elpa (0.8) unstable; urgency=medium

  [ Sean Whitton ]
  * Fix watch file to look for tags named debian/1.2.3, not 1.2.3.
  * Stop generating Built-Using field.
    dh-elpa no longer populates ${misc:Built-Using}.
  * Stop manually adding dependencies on s-el and dash-el.
    These are now empty transitional packages, and dh-elpa will generate
    dependencies on elpa-s and elpa-dash respectively.
  * Bump standards version to 4.0.0 (no changes required).

  [ Nicholas D Steeves ]
  * Add "detach from upstream remote" step to man page's tutorial to be
    extra safe, like dgit-maint-merge(7) does (Closes: #866809).

 -- Sean Whitton <spwhitton@spwhitton.name>  Sat, 08 Jul 2017 16:13:27 +0100

dh-make-elpa (0.7.1) unstable; urgency=medium

  * Stop generating binary package dependency on 'emacs'.
  * Generate binary package dependency on 'emacsen-common'.

    See Debian Emacs Policy items A and C.

 -- Sean Whitton <spwhitton@spwhitton.name>  Mon, 23 Jan 2017 15:08:48 -0700

dh-make-elpa (0.7.0) unstable; urgency=medium

  [ Lev Lamberov ]
  * Stop generating "GNU General Public License version 3" when we
    detected use of GPL-2.

  [ Sean Whitton ]
  * Replace "." with "-" when detecting the source package name.
  * If MELPA recipe download fails, fall back to using a single binary package.
    dh-make-elpa can now be used offline.
  * Always inform the user when we fall back to using a single binary package.
  * Inform the user if we fail to determine the short or the long description.
  * Stop generating "--parallel" in d/rules.
    Not needed at compat 10.
  * Generate "Testsuite:" only if we detect ERT or Buttercup tests.
    Previously it was unconditionally generated.
  * In the quick start guide, replace gbp with a call to git-deborig(1).
    - dh-make-elpa now Recommends: devscripts
  * Slightly improve the filtering of long description lines.
  * Generate "Enhances: emacs25".

 -- Sean Whitton <spwhitton@spwhitton.name>  Wed, 11 Jan 2017 08:31:24 -0700

dh-make-elpa (0.6.0) unstable; urgency=medium

  * Upload to unstable:
    - Don't output "experimental script" warning text on every run.
    - Add disclaimer to generated d/copyright.
      This ensures that if the file has not been reviewed by a human,
      Lintian will emit a warning.
  * Output useful error when there are no *.el files (Closes: #838550).
  * Generate debhelper build dependency bound "(>= 10)".

 -- Sean Whitton <spwhitton@spwhitton.name>  Sat, 08 Oct 2016 18:26:36 -0700

dh-make-elpa (0.5.0) experimental; urgency=medium

  * Add "typical usage" to manpage.
  * Add Testsuite: field to generated d/control.
  * Add --version option.
  * Output useful info when we can't generate d/watch & d/docs.
    Thanks to Lev Lamberov for the suggestion.
  * Fix exiting non-zero after successful run.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sat, 10 Sep 2016 10:16:58 -0700

dh-make-elpa (0.4.0) experimental; urgency=medium

  * Improve package version detection regexs (Closes: #829095).
    Thanks to Lev Lamberov for providing the test case.
  * If foo-pkg.el exists, prefer it to foo.el for determining the upstream
    version.
  * create_watch no longer emits an error if .git is not present
    (Closes: #829096).
    - New dependency: libtrycatch-perl
  * create_docs no longer emits an error if it can't find any docs
    (Closes: #829096).
  * Check whether upstream prepends their release tags with 'v' and adjust
    gbp.conf accordingly.
  * Generated watch files now have trailing newline.
  * Add TIPS section to manpage.

 -- Sean Whitton <spwhitton@spwhitton.name>  Mon, 04 Jul 2016 13:58:54 +0900

dh-make-elpa (0.3.0) experimental; urgency=medium

  * Generate standards version 3.9.8.
  * Binary dependencies on dash-el and s-el detected and added.
  * find_bins() now never fails to populate the bins hash.
    Falls back to a single binary package.
  * find_bins() always populates the values of the bins hash with list
    references.
    Previously, in the case of a single binary package, it was inserting a
    string rather than a list reference.
  * Use getcwd() rather than relying on the PWD env var.
    Thanks to Dmitry Bogatov for reporting the problem, which occurs with
    the rc interactive shell.

 -- Sean Whitton <spwhitton@spwhitton.name>  Fri, 24 Jun 2016 17:31:04 +0900

dh-make-elpa (0.2.0) experimental; urgency=medium

  * Fix Vcs-Git: URI.
  * Bump standards version to 3.9.8 (no changes required).
  * Generate compat level 10 to activate dh_elpa_test.
  * Try to detect Buttercup tests, and add elpa-buttercup build-dep so
    that dh_elpa_test tries to run them.
  * Add File::Find::Rule dependency.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sat, 07 May 2016 08:59:19 -0700

dh-make-elpa (0.1.0) experimental; urgency=medium

  * Initial release: experimental script to generate ELPA packages.
    (Closes: #820103)

 -- Sean Whitton <spwhitton@spwhitton.name>  Wed, 06 Apr 2016 09:26:23 -0700
